Generation Framework

## org.eclipse.gmf.gmfgraph
Class FontStyle

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.gmf.gmfgraph.FontStyle

All Implemented Interfaces:
  Enumerator

public final class FontStyle
extends AbstractEnumerator

A representation of the literals of the enumeration 'Font Style', and utility methods for working with them.

See Also:
  `GMFGraphPackage.getFontStyle()`
** Generated **
Model:

Field Summary
`static int` `BOLD` The 'BOLD' literal value
`static FontStyle` `BOLD_LITERAL` The 'BOLD' literal object
`static int` `ITALIC` The 'ITALIC' literal value
`static FontStyle` `ITALIC_LITERAL` The 'ITALIC' literal object
`static int` `NORMAL` The 'NORMAL' literal value
`static FontStyle` `NORMAL_LITERAL` The 'NORMAL' literal object
`static java.util.List` `VALUES` A public read-only list of all the 'Font Style' enumerators

Method Summary
`static FontStyle` `get(int value)` Returns the 'Font Style' literal with the specified integer value
`static FontStyle` `get(java.lang.String literal)` Returns the 'Font Style' literal with the specified literal value
`static FontStyle` `getByName(java.lang.String name)` Returns the 'Font Style' literal with the specified name

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NORMAL

    public static final int NORMAL

  The 'NORMAL' literal value.

  If the meaning of 'NORMAL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FontStyle.NORMAL_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### BOLD

    public static final int BOLD

  The 'BOLD' literal value.

  If the meaning of 'BOLD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FontStyle.BOLD_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### ITALIC

    public static final int ITALIC

  The 'ITALIC' literal value.

  If the meaning of 'ITALIC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FontStyle.ITALIC_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### NORMAL_LITERAL

    public static final FontStyle NORMAL_LITERAL

  The 'NORMAL' literal object.

  See Also:
    `FontStyle.NORMAL`
  ** Generated **
  Ordered:

### BOLD_LITERAL

    public static final FontStyle BOLD_LITERAL

  The 'BOLD' literal object.

  See Also:
    `FontStyle.BOLD`
  ** Generated **
  Ordered:

### ITALIC_LITERAL

    public static final FontStyle ITALIC_LITERAL

  The 'ITALIC' literal object.

  See Also:
    `FontStyle.ITALIC`
  ** Generated **
  Ordered:

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Font Style' enumerators.

  ** Generated **

Method Detail

### get

    public static FontStyle get(java.lang.String literal)

  Returns the 'Font Style' literal with the specified literal value.

  ** Generated **

### getByName

    public static FontStyle getByName(java.lang.String name)

  Returns the 'Font Style' literal with the specified name.

  ** Generated **

### get

    public static FontStyle get(int value)

  Returns the 'Font Style' literal with the specified integer value.

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.